curl --request POST \
--url https://api.letsdothis.com/v0/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contacts": [
{
"name": "John Doe",
"emailAddress": "jd@charity.com"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contacts: [{name: 'John Doe', emailAddress: 'jd@charity.com'}]
})
};
fetch('https://api.letsdothis.com/v0/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/partners"
payload = {
"name": "<string>",
"contacts": [
{
"name": "John Doe",
"emailAddress": "jd@charity.com"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "p_v7k8jsvoj2o",
"name": "National Charity",
"description": "Donec faucibus augue non pretium pellentesque.",
"type": "CHARITY",
"externalIds": {
"national": "natId123",
"enthuse": "enth456"
},
"contacts": [
{
"name": "John Doe",
"emailAddress": "jd@charity.com"
}
],
"defaultMarketing": {
"whyOptIn": "Lorem ipsum dolor",
"contactEmailAddress": "info@charity.com",
"emailMessage": "Nulla sed mi egestas, condimentum orci quis, pulvinar odio",
"emailCtaUrl": "http://charity.com/general/info"
},
"specificMarketings": [
{
"value": {
"whyOptIn": "Lorem ipsum dolor",
"contactEmailAddress": "info@charity.com",
"emailMessage": "Phasellus laoreet, arcu scelerisque fringilla laoreet, eros ante consequat neque, eu vestibulum odio neque a magna.",
"emailCtaUrl": "http://charity.com/event/info"
},
"eventId": "213131"
}
],
"canCreateSubPartners": false,
"createdAt": "2023-10-14T11:30:00.000Z",
"updatedAt": "2024-09-14T11:30:00.000Z"
}Create a partner
Creates a new partner.
curl --request POST \
--url https://api.letsdothis.com/v0/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contacts": [
{
"name": "John Doe",
"emailAddress": "jd@charity.com"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contacts: [{name: 'John Doe', emailAddress: 'jd@charity.com'}]
})
};
fetch('https://api.letsdothis.com/v0/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/partners"
payload = {
"name": "<string>",
"contacts": [
{
"name": "John Doe",
"emailAddress": "jd@charity.com"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "p_v7k8jsvoj2o",
"name": "National Charity",
"description": "Donec faucibus augue non pretium pellentesque.",
"type": "CHARITY",
"externalIds": {
"national": "natId123",
"enthuse": "enth456"
},
"contacts": [
{
"name": "John Doe",
"emailAddress": "jd@charity.com"
}
],
"defaultMarketing": {
"whyOptIn": "Lorem ipsum dolor",
"contactEmailAddress": "info@charity.com",
"emailMessage": "Nulla sed mi egestas, condimentum orci quis, pulvinar odio",
"emailCtaUrl": "http://charity.com/general/info"
},
"specificMarketings": [
{
"value": {
"whyOptIn": "Lorem ipsum dolor",
"contactEmailAddress": "info@charity.com",
"emailMessage": "Phasellus laoreet, arcu scelerisque fringilla laoreet, eros ante consequat neque, eu vestibulum odio neque a magna.",
"emailCtaUrl": "http://charity.com/event/info"
},
"eventId": "213131"
}
],
"canCreateSubPartners": false,
"createdAt": "2023-10-14T11:30:00.000Z",
"updatedAt": "2024-09-14T11:30:00.000Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name of the partner.
1^(\S).+$The contacts associated with this partner.
1Show child attributes
Show child attributes
The description of the partner.
External IDs of the partner. These can be configured in the event's settings if needed.
Show child attributes
Show child attributes
CHARITY, CORPORATE, FRIENDS_AND_FAMILY, MERCH_PARTNER, SPONSOR Customize what participants see on the “Charity Opt-In” step on the registration form and on the charity marketing email.
Show child attributes
Show child attributes
Event specific marketing informations associated with this partner.
Show child attributes
Show child attributes
Whether this partner can create sub-partners.
Response
Default Response
A partner that was created under your organization, eg. a charity or a sponsor.
The unique ID of the partner.
The name of the partner.
1^(\S).+$The contacts associated with this partner.
1Show child attributes
Show child attributes
The description of the partner.
External IDs of the partner. These can be configured in the event's settings if needed.
Show child attributes
Show child attributes
CHARITY, CORPORATE, FRIENDS_AND_FAMILY, MERCH_PARTNER, SPONSOR Customize what participants see on the “Charity Opt-In” step on the registration form and on the charity marketing email.
Show child attributes
Show child attributes
Event specific marketing informations associated with this partner.
Show child attributes
Show child attributes
Whether this partner can create sub-partners.
Represents a date and time in ISO 8601 format as a string.
The string should follow the format YYYY-MM-DDTHH:mm:ss.sssZ, where:
YYYY: Four-digit yearMM: Two-digit month (01-12)DD: Two-digit day of the month (01-31)T: Delimiter indicating the start of the time componentHH: Two-digit hour in 24-hour format (00-23)mm: Two-digit minutes (00-59)ss.sss: Seconds with milliseconds (00.000-59.999)Z: UTC timezone designator
Example: To represent 11:30 AM on May 8th, 2026, the value would be: "2026-05-08T11:30:00.000Z".
"2026-05-08T11:30:00.000Z"
Represents a date and time in ISO 8601 format as a string.
The string should follow the format YYYY-MM-DDTHH:mm:ss.sssZ, where:
YYYY: Four-digit yearMM: Two-digit month (01-12)DD: Two-digit day of the month (01-31)T: Delimiter indicating the start of the time componentHH: Two-digit hour in 24-hour format (00-23)mm: Two-digit minutes (00-59)ss.sss: Seconds with milliseconds (00.000-59.999)Z: UTC timezone designator
Example: To represent 11:30 AM on May 8th, 2026, the value would be: "2026-05-08T11:30:00.000Z".
"2026-05-08T11:30:00.000Z"
Was this page helpful?

